<!doctype html>
<html lang="en">

<head>
	<meta charset="utf-8">

	<title>Professionnalisation</title>

	<meta name="description" content="Epreuve E6">
	<meta name="author" content="Adam El Kadaoui">

	<meta name="apple-mobile-web-app-capable" content="yes">
	<meta name="apple-mobile-web-app-status-bar-style" content="black-translucent">

	<meta name="viewport" content="width=device-width, initial-scale=1.0, maximum-scale=1.0, user-scalable=no">

	<link rel="stylesheet" href="css/reveal.css">
	<link rel="stylesheet" href="css/theme/white.css" id="theme">

	<!-- Theme used for syntax highlighting of code -->
	<link rel="stylesheet" href="lib/css/zenburn.css">

	<!-- Printing and PDF exports -->
	<script>
		var link = document.createElement( 'link' );
		link.rel = 'stylesheet';
		link.type = 'text/css';
		link.href = window.location.search.match( /print-pdf/gi ) ? 'css/print/pdf.css' : 'css/print/paper.css';
		document.getElementsByTagName( 'head' )[0].appendChild( link );
	</script>
		<!--[if lt IE 9]>
		<script src="lib/js/html5shiv.js"></script>
	<![endif]-->
</head>

<body>

	<div class="reveal">
		<!-- Any section element inside of this container is displayed as a slide -->
		<div class="slides">
			<section>
				<h1>Epreuve E6</h1>
			</section>
			<section>
				<section>
					<h2>Stage 1<sup>ère</sup> année</h2>
					<a href="#" class="navigate-down">
					</a>
					<img width="65%" src="img/stage1/di.jpg"/>
					<ul>
						<li>C1.4.1.1 Établir son planning personnel en fonction des exigences et du déroulement du projet</li>
						<li>C3.2.2.1 Élaborer une procédure de remplacement ou de migration respectant la continuité d'un service</li>
						<li>C1.2.2.1 Recenser les composants nécessaires à la réalisation de la solution retenue</li>
						<li>C4.1.2.2 Maquetter un élément de la solution applicative</li>
					</ul>
				</section>
				<section>
					<h2>Gestion de projet </h2>
					<a href="https://gitlab.com/ernesto57370/crieeppe3/boards"><img src="img/stage1/gitlab.png" alt="gitlab" /></a>
				</section>
			</section>
			<section>
				<h2>Crédit Céleste</h2>
				<a href="https://drive.google.com/open?id=11_bgiDwjgpyJYVjQpzpKNhc5odzvrquJ"><img src="https://farm8.staticflickr.com/7828/33333525718_d7731f543c_o.png"></a>
				<ul>
					<li>C1.1.1.4 Rédiger un compte-rendu d'entretien, de réunion</li>
					<li>C1.2.1.1 Recenser et caractériser des solutions répondant au cahier des charges</li>
					<li>C3.1.1.2 Caractériser les services, les serveurs et les équipements terminaux nécessaires</li>
					<li>C3.2.1.3 Installer et configurer des éléments de sécurité permettant d'assurer la protection du système informatique</li>
				</ul>
			</section>
			<section>
				<h2>Glpi</h2>
				<img src="img/glpi.png" width="75%">
				<ul>
					<li>C5.1.1.2 Paramétrer une solution de gestion des éléments d'une configuration</li>
					<li>C5.1.1.1 Recenser les caractéristiques techniques nécessaires à la gestion des éléments de la configuration d'une organisation</li>
					<li>C5.1.3.1 Contrôler et auditer les éléments de la configuration</li>
				</ul>
			</section>
			<section>
				<section>
					<h2>Stage 2<sup>ème</sup> année</h2>
					<a href="#" class="navigate-down"></a>
					<img src="img/stage2/files_json.png" width="75%"></a>
					<ul>
						<li>C1.3.4.2 Automatiser l'installation de la solution</li>
						<li>C4.1.9.1 Produire ou mettre à jour la documentation technique d'une solution applicative et de ses composants logiciels</li>
						<li>C4.2.3.1 Élaborer et réaliser des tests d'intégration et de non régression de la solution mise à jour</li>
					</ul>
				</section>
				<section data-markdown>
					## Intégration continue
					```yaml
					variables:
					CI_BRANCH: $CI_COMMIT_REF_NAME
					KEY_ID: $KEY_ID
					SECRET_KEY: $SECRET_KEY
					END_POINT_URL: $END_POINT_URL

					statik_files:
					script:
					- pip3 install -r requirements.txt
					- python3 -m unittest
					- (if [ "${CI_COMMIT_REF_NAME}" == "master" ]; then
					python3 static_files.py;
					else
					python3 static_files.py -o; fi);
					```
					* **$CI_COMMIT_REF_NAME**: correspond à la branche courante
					* Toute intégration suscitera une validation par merge request
				</section>
			<section>
				<h2>Documentation technique</h2> 
				<a href="https://drive.google.com/open?id=137xxk_Db-uxEq4fbsdU_4BvS6DfO1GOd"><img src="img/stage2/doc.png")></a>
			</section>
			<section data-markdown>
				# Résultat final

				![](img/stage2/files_json.png)
			</section>
		</section>
		<section>
			<section>
				<a href="#" class="navigate-down"></a>
				<h2>La criée de Cornouailles</h2>
				<img src="img/ccornouaille/index.png" width="80%">
				<ul>
					<li>C1.2.2.2 Décrire l'implantation des différents composants de la solution et les échanges entre eux</li>
					<li>C1.2.5.3 Proposer les niveaux d'habilitation associés au service</li>
					<li>C5.2.1.2 Identifier et partager les bonnes pratiques à intégrer</li>
				</ul>
			</section>
			<section>
				<h2>Modèle Conceptuel de données</h2>
				<a href="#" class="navigate-down"></a>
				<img src="img/ccornouaille/mcd.png" width="75%">
			</section>
			<section>
				<h2>Niveau d'habilitation</h2>
				<a href="https://docs.google.com/document/d/1kNFkKWM0aHm50MyGUPHp7zrZ3VVX4BmVaY3h71XJF3Q/edit"><img src="img/ccornouaille/navbar.png" width="90%"></a>
				<img src="img/ccornouaille/security.png" width="90%">
			</section>
		</section>
		<section>
			<h2>Veille technologique</h2>
			<a href="https://drive.google.com/open?id=1nX2OfxbYnOutIF-wK5or9T-mYAuVW8uu"><img src="img/veille.jpg"></a>
		</section>
	</div>
</div>

<script src="lib/js/head.min.js"></script>
<script src="js/reveal.js"></script>

<script>

			// More info https://github.com/hakimel/reveal.js#configuration
			Reveal.initialize({
				controls: true,
				progress: true,
				history: true,
				center: true,

				transition: 'slide', // none/fade/slide/convex/concave/zoom

				// More info https://github.com/hakimel/reveal.js#dependencies
				dependencies: [
				{ src: 'lib/js/classList.js', condition: function() { return !document.body.classList; } },
				{ src: 'plugin/markdown/marked.js', condition: function() { return !!document.querySelector( '[data-markdown]' ); } },
				{ src: 'plugin/markdown/markdown.js', condition: function() { return !!document.querySelector( '[data-markdown]' ); } },
				{ src: 'plugin/highlight/highlight.js', async: true, callback: function() { hljs.initHighlightingOnLoad(); } },
				{ src: 'plugin/search/search.js', async: true },
				{ src: 'plugin/zoom-js/zoom.js', async: true },
				{ src: 'plugin/notes/notes.js', async: true }
				]
			});

		</script>

	</body>
	</html>
		<!-- <div class="reveal">
			<div class="slides">
				<section data-markdown class="center"># Epreuve E6</section>
				<section>
					<h1>Stage 1<sup>ère</sup> année</h1>
					<section>
						<a href="#" class="navigate-down">
							<img width="178" height="238" data-src="https://s3.amazonaws.com/hakim-static/reveal-js/arrow.png" alt="Down arrow">
						</a>
        			<img src="img/stage1/gitlab.png" width="200" height="150" alt="Gitlab" />
					    <img width="200" height="150" src="img/stage1/glpi.png">
					    <img width="200" height="150" src="img/stage1/maquette.png">
					    <img width="200" height="150" src="img/stage1/room.png">
					</section>
			</div>
		</div> -->